# 1 "<stdin>"
# 1 "<built-in>"
# 1 "<command-line>"
# 1 "<stdin>"

module misinput
! find a mask of missing filter inputs
  use helicon
  implicit none
  contains
  subroutine find_mask( known, aa)
    logical, intent( in) :: known(:)
    type( filter) :: aa
    real, dimension( size (known)) :: rr, dfre
    integer :: stat
    where( known)
      dfre = 0.
    elsewhere
      dfre = 1.
    end where
    call helicon_init( aa)
    aa%flt = 1.
    stat = helicon_lop( .false., .false., dfre, rr)
    aa%flt = 0.
    where ( rr > 0.)
      aa%mis = .true.
end where
  end subroutine
end module
